-- $Id: //depot/Projects/StarWars/Run/Data/Scripts/AI/SpaceMode/TacticalMultiplayerBuildSpaceUnitsGeneric.lua#11 $
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
-- (C) Petroglyph Games, Inc.
--
--
--  *****           **                          *                   *
--  *   **          *                           *                   *
--  *    *          *                           *                   *
--  *    *          *     *                 *   *          *        *
--  *   *     *** ******  * **  ****      ***   * *      * *****    * ***
--  *  **    *  *   *     **   *   **   **  *   *  *    * **   **   **   *
--  ***     *****   *     *   *     *  *    *   *  *   **  *    *   *    *
--  *       *       *     *   *     *  *    *   *   *  *   *    *   *    *
--  *       *       *     *   *     *  *    *   *   * **   *   *    *    *
--  *       **       *    *   **   *   **   *   *    **    *  *     *   *
-- **        ****     **  *    ****     *****   *    **    ***      *   *
--                                          *        *     *
--                                          *        *     *
--                                          *       *      *
--                                      *  *        *      *
--                                      ****       *       *
--
--/////////////////////////////////////////////////////////////////////////////////////////////////
-- C O N F I D E N T I A L   S O U R C E   C O D E -- D O   N O T   D I S T R I B U T E
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
--              $File: //depot/Projects/StarWars/Run/Data/Scripts/AI/SpaceMode/TacticalMultiplayerBuildSpaceUnitsGeneric.lua $
--
--    Original Author: James Yarrow
--
--            $Author: Steve_Copeland $
--
--            $Change: 34987 $
--
--          $DateTime: 2005/12/12 21:23:52 $
--
--          $Revision: #11 $
--
--/////////////////////////////////////////////////////////////////////////////////////////////////

require("pgevents")


function Definitions()
	
	Category = "Tactical_Multiplayer_Build_Space_Units_Generic"
	IgnoreTarget = true
	TaskForce = {
		{"ReserveForce"
		,"RS_Level_Two_Starbase_Upgrade | RS_Level_Three_Starbase_Upgrade | RS_Level_Four_Starbase_Upgrade | RS_Level_Five_Starbase_Upgrade = 0,1"
		,"ES_Level_Two_Starbase_Upgrade | ES_Level_Three_Starbase_Upgrade | ES_Level_Four_Starbase_Upgrade | ES_Level_Five_Starbase_Upgrade = 0,1"		
	        ,"Rebel_X-Wing_Squadron | Y-Wing_Squadron | A_Wing_Squadron | Corellian_Corvette | Corellian_Gunboat | Nebulon_B_Frigate | Alliance_Assault_Frigate | Calamari_Cruiser | Fleet_Com_Rebel_Team = 0,4"
		,"TIE_Scout_Squadron | Todesgleiter_Squadron | AnubisGleiter_Squadron | Teltakbomber_Squadron | Alkeshbomber_Squadron | Tartan_Patrol_Cruiser | Broadside_Class_Cruiser | Acclamator_Assault_Ship | Interdictor_Cruiser | Victory_Destroyer | Star_Destroyer | Fleet_Com_Empire_Team = 0,4"
		,"Han_Solo_Team_Space_MP | Selmak | Prometheus | Sundered_Heart | Home_One = 0,2"
		,"Boba_Fett_Team_Space_MP | Osiris | Apophis_Delmak | Zipacna | Accuser_Star_Destroyer = 0,2"
		,"Rebel_Gracefighter_Squadron | Asgard_Satellit_Tauri | Asuraner_Satellit_Tauri | Antikerkorvette_Tauri | Grace_Frigate_Tauri | Antikerkreuzer_Tauri | Antikerkriegsschiff_Tauri | Red_Squadron | Sheppard_Team_Space_MP | Odyssey | Lorne = 0,1"
		,"Empire_Repli_Scout_Squadron | Empire_Dart_Fighter_Squadron | Empire_Orifighter_Squadron | Empire_Repli_Fighter_Squadron | Empire_Repli_Bomber_Squadron | Kassa_Alkesh | Empire_Pirate_Frigate | Replikator_Corvette_Goauld | Replikator_Spinne_Goauld | Replikator_Frigate_Goauld | Replikator_AngriffsFrigate_Goauld | Replikator_Beliskner_Goauld | Replikator_Schlachtschiff_Goauld | WhraitHive_Goauld | Ori_Schlachtschiff_Goauld | Tanith_Team_Space_MP | Darth_Team_Space_MP | OriAdria_Goauld = 0,1"}
	}
	RequiredCategories = {"Fighter | Bomber | Corvette | Frigate | Capital | SpaceHero"}
	AllowFreeStoreUnits = false

end

function ReserveForce_Thread()
			
	BlockOnCommand(ReserveForce.Produce_Force())
	ReserveForce.Set_Plan_Result(true)
	ReserveForce.Set_As_Goal_System_Removable(false)
		
	-- Give some time to accumulate money.
	tech_level = PlayerObject.Get_Tech_Level()
	min_credits = 2000
	if tech_level == 1 then
		min_credits = 3000
	elseif tech_level >= 2 then
		min_credits = 4000
	end
	
	max_sleep_seconds = 80
	current_sleep_seconds = 0
	while (PlayerObject.Get_Credits() < min_credits) and (current_sleep_seconds < max_sleep_seconds) do
		current_sleep_seconds = current_sleep_seconds + 1
		Sleep(1)
	end

	ScriptExit()
end
